LEXD(1)

NAME
lexd - lexd

DESCRIPTION
lexd: compile lexd files to transducers USAGE: lexd [-abcfmx] [rule_file [output_file]]

-a, --align:
    align labels (prefer a:0 b:b to a:b b:0)

-b, --bin:
    output as Lttoolbox binary file (default is AT&T format)

-c, --compress:
    condense labels (prefer a:b to 0:b a:0 - sets --align)

-f, --flags:
    compile using flag diacritics

-m, --minimize:
    do hyperminimization (sets -f)

-t, --tags:
    compile tags and filters with flag diacritics (sets -f)

-x, --statistics: print lexicon and pattern sizes to stderr